import { casesRequestList } from "@/app/lib/cases/action";
import { Box } from "@chakra-ui/react";
import CaseTable from "./component/table";
import { SearchParamProps } from "@/types/searchParams";

export default async function Users({ searchParams }: SearchParamProps) {
  const cases = await casesRequestList(searchParams); 

  return (
    <Box pt={{ base: "130px", md: "80px", xl: "80px" }} mb="20px">
      {cases?.data && <CaseTable data={cases?.data} />}
    </Box>
  );
}
